
Figure - Bug #118128
【IOVDEV-29625】【自动化测试】【稳定性测试】【VC1】【副屏】monkey稳定性测试，副屏重启（实验室
副屏4）
2023-05-22 13:42 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-22

Priority: Urgent Due date:

Assignee: CDTS-TEST 周婷 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103

Resolution: DUPLICATE Degrated: No

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 与 #118122 问题一样, 属于同件问题

Description

【重启时间】：2023/5/20 14:00 ~ 5/22 08:30之间

【前提条件】：副屏上电

【操作步骤】

【前提条件】.副屏正常可以操作

1.执行monkey稳定性测试

【实际结果】

1.monkey停止运行，安卓系统重启

【期望结果】

1.副屏正常再跑monkey命令

【备注】：

adb shell

ps -ef | grep system_server

发现system_server PID 9000+，怀疑system_srever被kill掉，安卓重启

日志地址：

【硬件版本号】：

【中控版本号】：03.02.0080.c101

【副屏版本号】：01.00.0100.c103

Bug描述：

5/20号14：00部署稳定性测试

5/20号 08：30查看monkey停止运行，system_server PID9000+，怀疑system_server被kill掉之后系统重启

【中控版本号】：未解中控屏幕，单接副屏

【副屏版本号】：01.00.0100.c103
Related issues:

Related to Figure - Bug # 118122: 【IOVDEV-29583】【自动化测试】【稳... CLOSED 2023-05-22 2023-05-26

History

#1 - 2023-05-22 13:54 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118128/5_22_%E5%89%AF%E5%B1%8F4.7z

#2 - 2023-05-22 16:29 - CDTS-TEST 周婷

- Assignee set to CD SYSTEM-夏旭

- Priority changed from Normal to Urgent

#3 - 2023-05-22 21:58 - CD SYSTEM-夏旭

- File 000013_persist_00149_700101_080009.log added

1.system_server 重启

./tlog_0522121639/FSEM_000012_0005_0516041457/logcat/000012_persist_00118_700101_080010.log:1146:01-01 08:00:10.925  1503  1503 I system_server_start:

[1,6856,6856]

 ./tlog_0522121639/FSEM_000013_0007_0520133859/logcat/000013_persist_00149_700101_080009.log:  21:01-01 08:00:08.959  1226  1226 I system_server_start:

[1,6077,6077]

000013_persist_00149_700101_080009.log

#4 - 2023-05-22 22:00 - CD SYSTEM-夏旭

- % Done changed from 0 to 10

#5 - 2023-05-23 19:05 - CDTS_TEST 王成

- Category set to BSP

#6 - 2023-05-23 20:14 - CDTS-TEST 周婷

- Assignee changed from CD SYSTEM-夏旭 to CD FW 曹覃刚

需上层分析

#7 - 2023-05-24 16:01 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CDTS-TEST 周婷

- % Done changed from 10 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与 #118122 问题一样, 属于同件问题

Hi 周婷

CD SYSTEM-夏旭

./tlog_0522121639/FSEM_000012_0005_0516041457/logcat/000012_persist_00118_700101_080010.log:1146:01-01 08:00:10.925  1503  1503 I system_server_start:
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118128/5_22_%E5%89%AF%E5%B1%8F4.7z


[1,6856,6856]

./tlog_0522121639/FSEM_000013_0007_0520133859/logcat/000013_persist_00149_700101_080009.log:  21:01-01 08:00:08.959  1226  1226 I system_server_start:

[1,6077,6077]

这个问题是2023/5/20 14:00 ~ 5/22 08:30之间发生的，上述两份日志在问题发生前，应该与本问题没关系

在日志中看到system_server被杀了

Out of memory: Kill process 1226 (system_server)

与 #118122 问题一样, 属于同件问题

kernel/000013_kernel_00062_230520_225718.log.ing:949:05-20 22:54:13.895     0     0 E         : [33335.018174] Out of memory: Kill process 25467 (d.process.acore) score 705

or sacrifice child

kernel/000013_kernel_00062_230520_225718.log.ing:1322:05-20 22:56:55.691     0     0 E         : [33496.806590] Out of memory: Kill process 27425 (d.process.acore) score

705 or sacrifice child

kernel/000013_kernel_00062_230520_225718.log.ing:1509:05-20 22:57:12.861     0     0 E         : [33513.977137] Out of memory: Kill process 1226 (system_server) score 0 or

sacrifice child

kernel/000013_kernel_00062_230520_225718.log.ing:1510:05-20 22:57:12.861     0     0 E         : [33513.977536] Killed process 1226 (system_server) total-vm:21169908kB,

anon-rss:0kB, file-rss:0kB, shmem-rss:9056kB oom_score_adj=-900

kernel/000013_kernel_00062_230520_225718.log.ing:1624:05-20 22:57:16.969     0     0 E         : [33518.090717] Out of memory: Kill process 1262 (tlog) score 0 or sacrifice

child

kernel/000013_kernel_00058_230520_224821.log.ing:1066:05-20 22:54:13.895     0     0 E         : [33335.018174] Out of memory: Kill process 25467 (d.process.acore) score

705 or sacrifice child

kernel/000013_kernel_00058_230520_224821.log.ing:1435:05-20 22:56:55.691     0     0 E         : [33496.806590] Out of memory: Kill process 27425 (d.process.acore) score

705 or sacrifice child

#8 - 2023-06-02 17:12 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#9 - 2023-06-02 17:12 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

000013_persist_00149_700101_080009.log 248 KB 2023-05-22 CD SYSTEM-夏旭
